Bug 436020 - Revisor creates bloated minimal installation media
Revisor creates bloated minimal installation media
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 16:34 EST by Chris Snook
Modified: 2008-10-16 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 19:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snook 2008-03-04 16:34:53 EST
Description of problem:
Revisor is not well-suited for creating minimal installation media.  Selecting
only a kernel package results in a 380 MB ISO containing 373 packages, including
several GUI packages, which are totally useless on headless machines.  Notably,
this fails to fit on a 210 MB mini-cd or a 256 MB USB stick, even though the
packages actually required to set up a functional headless/console Fedora system
will easily fit on small media.

Version-Release number of selected component (if applicable):
revisor-2.0.5-15.fc8
yum-3.2.8-2.fc8
rpm-4.4.2.2-7.fc8

How reproducible:
100%

Steps to Reproduce:
1. launch revisor
2. select the F8-i386 profile
3. deselect all options on the kickstart screen
4. On the package list, all packages will be deselected.  Select only
kernel.i686, and then proceed.
  
Actual results:
Revisor pulls in 373 packages, including kernel-xen and kernel.i585, which
clearly are not necessary to satisfy the kernel dependency since kernel.i686 is
not selected.  Also, a considerable amount of xorg and gnome are pulled in,
which means it's impossible to optimize a respin for a headless box that does
not need them.

Expected results:
Revisor pulls in a few dozen packages necessary to create a base Fedora system
which will be capable of booting and installing further packages.

Additional info:
This could be a bug with yum or rpm or something else in the dependency
resolution.  Anyway, for your viewing pleasure, the full package manifest that
resulted from selecting only kernel.i686:

acl-2.2.39-13.fc8.i386.rpm
alsa-lib-1.0.15-1.fc8.i386.rpm
alsa-utils-1.0.15-1.fc8.i386.rpm
anaconda-11.3.0.50-2.i386.rpm
anaconda-runtime-11.3.0.50-2.i386.rpm
atk-1.20.0-1.fc8.i386.rpm
attr-2.4.38-2.fc8.i386.rpm
audiofile-0.2.6-7.fc8.i386.rpm
audit-libs-1.6.5-2.fc8.i386.rpm
audit-libs-python-1.6.5-2.fc8.i386.rpm
authconfig-5.3.18-1.fc8.i386.rpm
authconfig-gtk-5.3.18-1.fc8.i386.rpm
avahi-0.6.21-8.fc8.i386.rpm
avahi-glib-0.6.21-8.fc8.i386.rpm
basesystem-8.1-1.noarch.rpm
bash-3.2-20.fc8.i386.rpm
beecrypt-4.1.2-13.i386.rpm
bluecurve-icon-theme-8.0.0-1.fc8.noarch.rpm
booty-0.91-1.fc8.noarch.rpm
busybox-anaconda-1.6.1-4.fc8.i386.rpm
bzip2-1.0.4-12.fc8.i386.rpm
bzip2-libs-1.0.4-12.fc8.i386.rpm
cairo-1.4.14-1.fc8.i386.rpm
checkpolicy-2.0.4-1.fc8.i386.rpm
chkconfig-1.3.36-1.i386.rpm
comps-extras-13-1.noarch.rpm
ConsoleKit-0.2.3-3.fc8.1.i386.rpm
ConsoleKit-libs-0.2.3-3.fc8.1.i386.rpm
control-center-filesystem-2.20.3-2.fc8.i386.rpm
coreutils-6.9-13.fc8.i386.rpm
cpio-2.9-5.fc8.i386.rpm
cracklib-2.8.10-3.i386.rpm
cracklib-dicts-2.8.10-3.i386.rpm
cracklib-python-2.8.10-3.i386.rpm
createrepo-0.4.11-2.fc8.noarch.rpm
crontabs-1.10-18.fc8.noarch.rpm
cryptsetup-luks-1.0.5-7.fc8.i386.rpm
cups-libs-1.3.6-2.fc8.i386.rpm
cyrus-sasl-lib-2.1.22-8.fc8.i386.rpm
db4-4.6.21-1.fc8.i386.rpm
dbus-1.1.2-9.fc8.i386.rpm
dbus-glib-0.73-6.fc8.i386.rpm
dbus-libs-1.1.2-9.fc8.i386.rpm
dbus-python-0.82.0-2.fc8.i386.rpm
dejavu-lgc-fonts-2.19-1.noarch.rpm
desktop-file-utils-0.13-3.fc8.i386.rpm
device-mapper-1.02.22-1.fc8.i386.rpm
device-mapper-libs-1.02.22-1.fc8.i386.rpm
diffutils-2.8.1-19.fc8.i386.rpm
dmidecode-2.7-1.26.1.fc6.i386.rpm
dmraid-1.0.0.rc14-4.fc8.i386.rpm
dosfstools-2.11-8.fc7.i386.rpm
e2fsprogs-1.40.4-1.fc8.i386.rpm
e2fsprogs-libs-1.40.4-1.fc8.i386.rpm
elfutils-libelf-0.131-1.fc8.i386.rpm
esound-libs-0.2.38-6.fc8.i386.rpm
ethtool-5-1.fc7.i386.rpm
expat-2.0.1-2.i386.rpm
fedora-gnome-theme-8.0.0-1.fc8.noarch.rpm
fedora-icon-theme-1.0.0-1.fc8.noarch.rpm
fedora-logos-8.0.3-1.fc8.noarch.rpm
fedora-release-8-5.noarch.rpm
fedora-release-notes-8.0.1-1.noarch.rpm
filesystem-2.4.11-1.fc8.i386.rpm
findutils-4.2.31-2.fc8.i386.rpm
firstboot-1.4.39-1.fc8.noarch.rpm
firstboot-tui-1.4.39-1.fc8.noarch.rpm
fontconfig-2.4.2-5.fc8.i386.rpm
freetype-2.3.5-3.fc8.i386.rpm
gail-1.20.2-1.fc8.i386.rpm
gamin-0.1.9-4.fc8.i386.rpm
gawk-3.1.5-15.fc7.i386.rpm
GConf2-2.20.1-1.fc8.i386.rpm
gdbm-1.8.0-27.fc7.i386.rpm
genisoimage-1.1.6-6.fc8.i386.rpm
glib2-2.14.6-1.fc8.i386.rpm
glibc-2.7-2.i386.rpm
glibc-common-2.7-2.i386.rpm
gnome-keyring-2.20.3-1.fc8.i386.rpm
gnome-mime-data-2.18.0-2.fc7.noarch.rpm
gnome-mount-0.7-1.fc8.i386.rpm
gnome-python2-2.20.1-1.fc8.i386.rpm
gnome-python2-bonobo-2.20.1-1.fc8.i386.rpm
gnome-python2-canvas-2.20.1-1.fc8.i386.rpm
gnome-python2-extras-2.19.1-12.fc8.i386.rpm
gnome-python2-gconf-2.20.1-1.fc8.i386.rpm
gnome-python2-gnomevfs-2.20.1-1.fc8.i386.rpm
gnome-python2-gtkhtml2-2.19.1-12.fc8.i386.rpm
gnome-themes-2.20.2-1.fc8.noarch.rpm
gnome-vfs2-2.20.1-1.fc8.i386.rpm
gnutls-1.6.3-2.fc8.i386.rpm
grep-2.5.1-57.fc7.i386.rpm
groff-1.18.1.4-11.fc8.i386.rpm
grub-0.97-19.i386.rpm
gtk2-2.12.5-1.fc8.i386.rpm
gtk2-engines-2.12.2-1.fc8.i386.rpm
gtkhtml2-2.11.1-2.fc8.i386.rpm
gtk-nodoka-engine-0.6-5.fc8.i386.rpm
gzip-1.3.12-4.fc8.i386.rpm
hal-0.5.10-1.fc8.i386.rpm
hal-info-20071030-1.fc8.noarch.rpm
hal-libs-0.5.10-1.fc8.i386.rpm
hdparm-7.7-1.fc8.i386.rpm
hicolor-icon-theme-0.10-2.noarch.rpm
htmlview-4.0.0-3.fc7.noarch.rpm
hwdata-0.215-1.fc8.noarch.rpm
info-4.11-3.fc8.i386.rpm
initscripts-8.60-1.i386.rpm
iproute-2.6.22-2.fc8.i386.rpm
iptables-1.3.8-6.fc8.i386.rpm
iptables-ipv6-1.3.8-6.fc8.i386.rpm
iputils-20070202-5.fc8.i386.rpm
iscsi-initiator-utils-6.2.0.865-0.2.fc8.i386.rpm
isomd5sum-11.3.0.50-2.i386.rpm
jfsutils-1.1.12-1.i386.rpm
joe-3.5-3.fc7.i386.rpm
kbd-1.12-27.fc8.i386.rpm
kernel-2.6.23.15-137.fc8.i586.rpm
kernel-2.6.23.15-137.fc8.i686.rpm
kernel-xen-2.6.21.7-2.fc8.i686.rpm
keyutils-libs-1.2-2.fc6.i386.rpm
kpartx-0.4.7-11.fc7.i386.rpm
krb5-libs-1.6.2-11.fc8.i386.rpm
kudzu-1.2.79.2-1.i386.rpm
less-406-14.fc8.i386.rpm
libacl-2.2.39-13.fc8.i386.rpm
libart_lgpl-2.3.19-3.fc8.i386.rpm
libattr-2.4.38-2.fc8.i386.rpm
libbdevid-python-6.0.19-4.fc8.i386.rpm
libbonobo-2.20.3-1.fc8.i386.rpm
libbonoboui-2.20.0-1.fc8.i386.rpm
libcap-1.10-30.i386.rpm
libdaemon-0.12-2.fc8.i386.rpm
libdhcp-1.27-4.fc8.i386.rpm
libdhcp4client-3.0.6-12.fc8.i386.rpm
libdhcp6client-0.10-51.fc8.i386.rpm
libdrm-2.3.0-7.fc8.i386.rpm
libfontenc-1.0.4-4.fc8.i386.rpm
libgcc-4.1.2-33.i386.rpm
libgcrypt-1.2.4-6.i386.rpm
libglade2-2.6.2-3.fc8.i386.rpm
libgnome-2.20.1-2.fc8.i386.rpm
libgnomecanvas-2.20.1-1.fc8.i386.rpm
libgnomeui-2.20.1.1-1.fc8.i386.rpm
libgpg-error-1.5-6.i386.rpm
libICE-1.0.4-2.fc8.i386.rpm
libIDL-0.8.9-1.fc8.i386.rpm
libidn-0.6.14-4.i386.rpm
libjpeg-6b-39.fc8.i386.rpm
libnl-1.0-0.15.pre8.git20071218.fc8.i386.rpm
libnotify-0.4.4-8.fc8.i386.rpm
libpciaccess-0.9.1-1.fc8.i386.rpm
libpng-1.2.22-1.fc8.i386.rpm
libselinux-2.0.43-1.fc8.i386.rpm
libselinux-python-2.0.43-1.fc8.i386.rpm
libsemanage-2.0.12-3.fc8.i386.rpm
libsepol-2.0.15-1.fc8.i386.rpm
libSM-1.0.2-4.fc8.i386.rpm
libsmbios-bin-0.13.13-1.fc8.i386.rpm
libsmbios-libs-0.13.13-1.fc8.i386.rpm
libstdc++-4.1.2-33.i386.rpm
libsysfs-2.1.0-1.fc7.i386.rpm
libthai-0.1.9-2.fc8.i386.rpm
libtiff-3.8.2-9.fc8.i386.rpm
libusb-0.1.12-10.fc8.i386.rpm
libuser-0.56.6-2.i386.rpm
libuser-python-0.56.6-2.i386.rpm
libutempter-1.1.5-1.fc8.i386.rpm
libvolume_id-118-1.fc8.i386.rpm
libwnck-2.20.3-1.fc8.i386.rpm
libX11-1.1.3-4.fc8.i386.rpm
libXau-1.0.3-3.fc8.i386.rpm
libXaw-1.0.4-1.fc8.i386.rpm
libxcb-1.0-4.fc8.i386.rpm
libXcomposite-0.4.0-3.fc8.i386.rpm
libXcursor-1.1.9-1.fc8.i386.rpm
libXdmcp-1.0.2-4.fc8.i386.rpm
libXext-1.0.1-4.fc8.i386.rpm
libXfixes-4.0.3-2.fc8.i386.rpm
libXfont-1.3.1-2.fc8.i386.rpm
libXft-2.1.12-3.fc8.i386.rpm
libXi-1.1.3-1.fc8.i386.rpm
libXinerama-1.0.2-3.fc8.i386.rpm
libxkbfile-1.0.4-3.fc8.i386.rpm
libxml2-2.6.31-1.fc8.i386.rpm
libxml2-python-2.6.31-1.fc8.i386.rpm
libXmu-1.0.3-3.fc8.i386.rpm
libXpm-3.5.7-1.fc8.i386.rpm
libXrandr-1.2.2-1.fc8.i386.rpm
libXrender-0.9.4-1.fc8.i386.rpm
libXres-1.0.3-3.fc8.i386.rpm
libxslt-1.1.22-1.fc8.i386.rpm
libXt-1.0.4-3.fc8.i386.rpm
linuxwacom-0.7.8.3-3.fc8.i386.rpm
logrotate-3.7.6-2.2.fc8.i386.rpm
lvm2-2.02.28-1.fc8.i386.rpm
mailx-8.1.1-46.fc7.i386.rpm
MAKEDEV-3.23-1.2.i386.rpm
man-1.6e-3.fc7.i386.rpm
mdadm-2.6.2-5.fc8.i386.rpm
memtest86+-1.70-4.fc8.i386.rpm
metacity-2.20.2-1.fc8.i386.rpm
mingetty-1.07-6.i386.rpm
mkinitrd-6.0.19-4.fc8.i386.rpm
mktemp-1.5-25.fc7.i386.rpm
module-init-tools-3.4-2.fc8.i386.rpm
mtools-3.9.11-2.fc8.i386.rpm
nano-2.0.6-2.fc8.i386.rpm
nash-6.0.19-4.fc8.i386.rpm
ncurses-5.6-12.20070812.fc8.i386.rpm
netpbm-10.35.32-2.fc8.i386.rpm
netpbm-progs-10.35.32-2.fc8.i386.rpm
net-tools-1.60-84.fc8.i386.rpm
newt-0.52.7-4.fc8.i386.rpm
newt-python-0.52.7-4.fc8.i386.rpm
nodoka-metacity-theme-0.3.2-2.fc8.noarch.rpm
nodoka-theme-gnome-0.3.2-2.fc8.noarch.rpm
notification-daemon-0.3.7-6.fc8.i386.rpm
notify-python-0.1.1-2.fc8.i386.rpm
ntp-4.2.4p2-6.fc8.i386.rpm
ntsysv-1.3.36-1.i386.rpm
openldap-2.3.39-3.fc8.i386.rpm
openssl-0.9.8b-17.fc8.i386.rpm
ORBit2-2.14.10-2.fc8.i386.rpm
pam-0.99.8.1-17.1.fc8.i386.rpm
pango-1.18.4-1.fc8.i386.rpm
parted-1.8.6-10.fc8.i386.rpm
passwd-0.74-5.fc8.i386.rpm
pciutils-2.2.9-1.fc8.i386.rpm
pcre-7.3-3.fc8.i386.rpm
perl-5.8.8-33.fc8.i386.rpm
perl-libs-5.8.8-33.fc8.i386.rpm
pirut-1.3.28-1.fc8.noarch.rpm
pkgconfig-0.22-4.fc8.i386.rpm
pm-utils-0.99.4-6.fc8.i386.rpm
policycoreutils-2.0.33-3.fc8.i386.rpm
PolicyKit-0.6-1.fc8.i386.rpm
PolicyKit-gnome-0.6-1.fc8.i386.rpm
popt-1.13-1.fc8.i386.rpm
procps-3.2.7-17.fc8.i386.rpm
psmisc-22.6-2.fc8.i386.rpm
pycairo-1.4.12-1.fc8.i386.rpm
pygobject2-2.14.0-1.fc8.i386.rpm
pygtk2-2.12.0-2.fc8.i386.rpm
pygtk2-libglade-2.12.0-2.fc8.i386.rpm
pykickstart-1.19-1.fc8.noarch.rpm
pyorbit-2.14.3-1.fc8.i386.rpm
pyparted-1.8.9-2.fc8.i386.rpm
python-2.5.1-15.fc8.i386.rpm
python-iniparse-0.2.3-3.fc8.noarch.rpm
python-libs-2.5.1-15.fc8.i386.rpm
python-numeric-24.2-6.fc8.i386.rpm
python-pyblock-0.30-1.i386.rpm
python-urlgrabber-3.0.0-3.fc8.noarch.rpm
pyxf86config-0.3.34-1.fc8.i386.rpm
radeontool-1.5-2.fc8.i386.rpm
rarian-0.6.0-3.fc8.i386.rpm
rarian-compat-0.6.0-3.fc8.i386.rpm
readline-5.2-10.fc8.i386.rpm
redhat-menus-8.9.11-2.fc8.noarch.rpm
reiserfs-utils-3.6.19-2.4.1.i386.rpm
rhpl-0.210-1.i386.rpm
rhpxl-0.49-2.fc8.i386.rpm
rpm-4.4.2.2-7.fc8.i386.rpm
rpm-libs-4.4.2.2-7.fc8.i386.rpm
rpm-python-4.4.2.2-7.fc8.i386.rpm
rsyslog-2.0.2-1.fc8.i386.rpm
sed-4.1.5-9.fc8.i386.rpm
selinux-policy-3.0.8-87.fc8.noarch.rpm
selinux-policy-targeted-3.0.8-87.fc8.noarch.rpm
setup-2.6.10-1.fc8.noarch.rpm
shadow-utils-4.0.18.1-21.fc8.i386.rpm
shared-mime-info-0.22-4.fc8.i386.rpm
slang-2.1.2-2.fc8.i386.rpm
sqlite-3.4.2-3.fc8.i386.rpm
squashfs-tools-3.2-2.i386.rpm
startup-notification-0.9-3.fc8.i386.rpm
synaptics-0.14.4-11.fc8.i386.rpm
syslinux-3.36-7.fc8.i386.rpm
system-config-date-1.9.16-1.fc8.noarch.rpm
system-config-firewall-1.0.12-4.fc8.noarch.rpm
system-config-firewall-tui-1.0.12-4.fc8.noarch.rpm
system-config-keyboard-1.2.11-3.fc8.noarch.rpm
system-config-language-1.2.12-1.fc8.noarch.rpm
system-config-network-1.4.7-1.fc8.noarch.rpm
system-config-network-tui-1.4.7-1.fc8.noarch.rpm
system-config-soundcard-2.0.6-11.fc8.noarch.rpm
system-config-users-1.2.72-1.fc8.noarch.rpm
sysvinit-2.86-18.i386.rpm
tar-1.17-7.fc8.i386.rpm
tzdata-2007k-1.fc8.noarch.rpm
udev-118-1.fc8.i386.rpm
usermode-1.93.1-1.fc8.i386.rpm
usermode-gtk-1.93.1-1.fc8.i386.rpm
ustr-1.0.2-3.fc8.i386.rpm
util-linux-ng-2.13.1-1.fc8.i386.rpm
vbetool-0.7-2.fc8.i386.rpm
which-2.16-8.i386.rpm
wireless-tools-29-0.2.pre22.fc8.i386.rpm
xdg-utils-1.0.2-4.fc8.noarch.rpm
xfsprogs-2.9.4-4.fc8.i386.rpm
xkeyboard-config-1.1-3.fc8.noarch.rpm
xorg-x11-drivers-7.2-9.fc8.i386.rpm
xorg-x11-drv-acecad-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-aiptek-1.0.1-5.fc8.i386.rpm
xorg-x11-drv-amd-0.0-22.20070625.fc8.i386.rpm
xorg-x11-drv-apm-1.1.1-7.fc8.i386.rpm
xorg-x11-drv-ark-0.6.0-6.fc8.i386.rpm
xorg-x11-drv-ast-0.81.0-6.fc8.i386.rpm
xorg-x11-drv-ati-6.8.0-1.fc8.i386.rpm
xorg-x11-drv-avivo-0.0.1-6.fc8.i386.rpm
xorg-x11-drv-calcomp-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-chips-1.1.1-5.fc8.i386.rpm
xorg-x11-drv-cirrus-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-citron-2.2.0-2.fc7.i386.rpm
xorg-x11-drv-cyrix-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-digitaledge-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-dmc-1.1.0-3.fc7.i386.rpm
xorg-x11-drv-dummy-0.2.0-5.fc8.i386.rpm
xorg-x11-drv-dynapro-1.1.0-3.fc7.i386.rpm
xorg-x11-drv-elographics-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-evdev-1.1.2-5.fc8.i386.rpm
xorg-x11-drv-fbdev-0.3.1-4.fc8.i386.rpm
xorg-x11-drv-fpit-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-glint-1.1.1-7.fc8.i386.rpm
xorg-x11-drv-hyperpen-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-i128-1.2.1-1.fc8.i386.rpm
xorg-x11-drv-i740-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-i810-2.1.1-7.fc8.i386.rpm
xorg-x11-drv-jamstudio-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386.rpm
xorg-x11-drv-magellan-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-magictouch-1.0.0.5-5.fc8.i386.rpm
xorg-x11-drv-mga-1.4.6.1-6.fc8.i386.rpm
xorg-x11-drv-microtouch-1.1.0-2.fc7.i386.rpm
xorg-x11-drv-mouse-1.2.3-1.fc8.i386.rpm
xorg-x11-drv-mutouch-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-neomagic-1.1.1-4.fc8.i386.rpm
xorg-x11-drv-nouveau-2.1.6-1.fc8.i386.rpm
xorg-x11-drv-nsc-2.8.1-4.fc8.i386.rpm
xorg-x11-drv-nv-2.1.6-1.fc8.i386.rpm
xorg-x11-drv-palmax-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-penmount-1.1.0-3.fc7.i386.rpm
xorg-x11-drv-rendition-4.1.3-5.fc8.i386.rpm
xorg-x11-drv-s3-0.5.0-5.fc8.i386.rpm
xorg-x11-drv-s3virge-1.9.1-5.fc8.i386.rpm
xorg-x11-drv-savage-2.1.3-1.fc8.i386.rpm
xorg-x11-drv-siliconmotion-1.5.1-3.fc8.i386.rpm
xorg-x11-drv-sis-0.9.3-4.fc8.i386.rpm
xorg-x11-drv-sisusb-0.8.1-9.fc8.i386.rpm
xorg-x11-drv-spaceorb-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-summa-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-tdfx-1.3.0-6.fc8.i386.rpm
xorg-x11-drv-tek4957-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-trident-1.2.3-6.fc8.i386.rpm
xorg-x11-drv-tseng-1.1.0-7.fc8.i386.rpm
xorg-x11-drv-ur98-1.1.0-4.fc8.i386.rpm
xorg-x11-drv-v4l-0.1.1-8.fc8.i386.rpm
xorg-x11-drv-vesa-1.3.0-10.fc8.i386.rpm
xorg-x11-drv-via-0.2.2-4.fc8.i386.rpm
xorg-x11-drv-vmmouse-12.4.3-1.fc8.i386.rpm
xorg-x11-drv-vmware-10.15.2-1.fc8.i386.rpm
xorg-x11-drv-void-1.1.1-6.fc8.i386.rpm
xorg-x11-drv-voodoo-1.1.1-1.fc8.i386.rpm
xorg-x11-filesystem-7.1-2.fc6.noarch.rpm
xorg-x11-fonts-ISO8859-1-75dpi-7.2-3.fc8.noarch.rpm
xorg-x11-font-utils-7.2-2.fc8.i386.rpm
xorg-x11-server-Xorg-1.3.0.0-42.fc8.i386.rpm
xorg-x11-xkb-utils-7.2-3.fc8.i386.rpm
yum-3.2.8-2.fc8.noarch.rpm
yum-metadata-parser-1.1.2-1.fc8.i386.rpm
zenity-2.20.1-2.fc8.i386.rpm
zlib-1.2.3-14.fc8.i386.rpm
Comment 1 Jeroen van Meeuwen 2008-07-31 17:13:18 EDT
This has been resolved by backporting a Fedora 10 anaconda feature into Revisor
available on Fedora 9 (version 2.1.1).

Because this isn't really a bug (the packages pulled in are required to be in
the composed tree so that buildinstall, anaconda-runtime's component), can use
these packages to create stage2.img, including the graphical installer.

Could you please confirm this works (or is improved) in Fedora 9?
Comment 2 Jeroen van Meeuwen 2008-10-16 19:40:52 EDT
Dead silent on the other end, closing

Note You need to log in before you can comment on or make changes to this bug.